Bug 508193 - gdb should require rpm-devel?
gdb should require rpm-devel?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 21:31 EDT by Jens Petersen
Modified: 2009-07-09 05:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.8.50.20090302-31.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-06-25 21:31:43 EDT
Description of problem:
virt-top is segfaulting for me so I tried running it through gdb...

Version-Release number of selected component (if applicable):
gdb-6.8.50.20090302-27.fc11.x86_64

Steps to Reproduce:
1. gdb virt-top
  
Actual results:
warning: Unable to open "librpm.so" (librpm.so: 共有オブジェクトファイルを開けません: そのようなファイルやディレクトリはありません), missing debuginfos notifications will not be displayed
Missing separate debuginfo for /lib64/ld-linux-x86-64.so.2
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/cb/5481c697c4d91fceaf291c97616f3c61e37345.debug
Missing separate debuginfo for /usr/lib64/libvirt.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/d4/bc545421f48305bb2c0b755cbd3b4dadd801b1.debug
Missing separate debuginfo for /lib64/libncurses.so.5
:
:

Expected results:
No warning about librpm.so

Additional info:
After yum install /usr/lib64/librpm.so (=> rpm-devel) warning disappeared...
Not sure why librpm.so (devel file) is required.
Comment 1 Jan Kratochvil 2009-06-26 03:17:59 EDT
Filed for rpm upstream: http://rpm.org/ticket/76
GDB will sanity-check it during its build next time.
Comment 2 Fedora Update System 2009-06-29 06:10:55 EDT
gdb-6.8.50.20090302-31.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdb-6.8.50.20090302-31.fc11
Comment 3 Fedora Update System 2009-06-30 17:24:39 EDT
gdb-6.8.50.20090302-31.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7071
Comment 4 Fedora Update System 2009-07-02 01:48:45 EDT
gdb-6.8.50.20090302-31.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.